Subject: Re: I'm confused by mount, umount, and the registry, beta 17
From: [email-masked] (Richard Donkin)

9 Dec 1996 14:42:59 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

In-Reply-To: <[email-masked]>
[email-masked] wrote

> I am running windows NT server 4.0 build 1381 service patch 1.
> I have a copy of beta-17. I had installed many earlier versions of gnu-w95.
> I have a c disk which has windows-95, and a d disk which has windows-nt.
> 
> I want to do a 'mount d: /'
> when I try this from a dos box, I get the message:
> mount failed: device or resource busy

I had a similar problem trying to 'mount d: /d' - I exited bash and any 
other Gnu-Win32 programs (so the Cygwin32 DLL would unload) then edited the 
Registry (by the way the Reg Editor saves each change as it is made) and 
started bash again.  I may have rebooted the system but this should not be 
necessary.

....

> So, using the registry editor, I searched for cygnus. I found it under
> HKEY_CURRENT_USER/software/Cygnus Support as well as
> HKEY_USERS/.DEFAULTS/S-1-5-21.../Software/Cygnus Support
> 
> Inside of these keys, I find
> CYGWIN.DLL setup/B15.0/mounts/00 thru 04
> 
> I delete everything under Cygnus Support for both HKEY_CURRENT_USER
> as well as HKEY_USERS. I exit via the registry menu, exit command.
> I thing that this should modify the registry, but it doesn't seem to,
> as shown below.

HKEY_CURRENT_USER is analogous to a symbolic link - it points to the current 
user under HKEY_USERS, so you should only need to delete the HKEY_USERS 
copy. Logging in to Win95 again should reset the current user stuff.

Richard
--
[email-masked]                http://www.inside-edge.co.uk/
Inside Edge Consultancy           Client/Server and Internet Applications
PGP key from:  [email-masked]  -or-  http://www.four11.com/

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".